import emitter from '@/utils/emitter';
import IndexedDB from '@/utils/indexedDBUtil';
import { ElMessage } from 'element-plus';
import {ref} from "vue";

export let isModified = ref(false)

// 处理word区鼠标移动的记录
// export const setupWordMouseMoveListener = (indexedDB: IndexedDB) => {
//     emitter.on("word-mouse-move", (event: any) => {
//         // indexedDB.addData(event)
//         // console.log(event);
//     });
// };


// 处理AI对话点击发送按钮事件的监听函数
export const setupClickAISendButtonListener = (indexedDB: IndexedDB) => {

};

// 处理is-modified事件的监听函数
export const setupIsModifiedListener = () => {
    emitter.on("is-modified", (state) => {
        isModified.value = state;
    });
};

// 可以根据后续需要继续添加更多的事件监听设置函数

// 统一注册所有事件监听的函数
export const registerAllEventListeners = (indexedDB: IndexedDB) => {
    // 后续若有其他事件监听，在此处添加调用对应的设置函数即可
    setupClickAISendButtonListener(indexedDB);
    setupIsModifiedListener();
    // setupWordMouseMoveListener(indexedDB)
};

// 统一移除所有事件监听的函数
export const removeAllEventListeners = () => {
    // 后续如有更多事件监听，在此处添加移除对应事件的代码
    emitter.off("click-ai-send-button");
    emitter.off("is-modified");
    // emitter.off("word-mouse-move");
};